package rition.common.data.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.Instant;
import java.util.Map;

/**
 * 指标数据实体类，一条为完整的指标数据
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "record", autoResultMap = true)
public class MetricRecordEntity {

    /**
     * 数据记录id
     */
    private Long id;

    /**
     * 云主机实例id
     */
    private String instanceId;

    /**
     * 监控指标值，使用json格式存储
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private Map<String, Double> metricData;

    /**
     * create_time
     */
    private Instant time;

    /**
     * update_time
     */
    private Instant updateTime;

    /**
     * status
     */
    private Integer status;
}
