package rition.common.data.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.Instant;

/**
 * 报警规则
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName("rule")
public class RuleEntity {
    /**
     * 规则id
     */
    private Long id;

    /**
     * 规则对应的实例id
     */
    private String instanceId;

    /**
     * 需要计算的指标项或者表达式
     */
    private String expression;

    /**
     * 触发条件
     */
    private Integer condition;

    /**
     * 阈值
     */
    private String threshold;

    /**
     * 触发方法，实时计算或定时计算
     */
    private Integer trigger;

    /**
     * 规则描述
     */
    private String description;

    /**
     * create_time
     */
    private Instant createTime;

    /**
     * update_time
     */
    private Instant updateTime;

    /**
     * status
     */
    private Integer status;
}
